<form (ngSubmit)="submit()" [formGroup]="personForm">
    <div class="form">
        <mat-form-field>
            <!-- 
                matInput => input material (important pour le mat-form-field)
                placeholder => un placeholder qui s'affichera à la place de la valeur si celle-ci est vide.
                [formControl] => le form control correspondant à cet input.
             -->
            <input matInput type="text" id="lastname"
                class="form-control" placeholder="lastname"
                [formControl]="personForm.get('lastname')">
        </mat-form-field>
    </div>
    <div class="form">
        <mat-form-field>
            <input matInput type="text" id="firstname"
                class="form-control" placeholder="firstname"
                [formControl]="personForm.get('firstname')">
        </mat-form-field>
    </div>
    <button type="submit" class="btn btn-primary">Create person</button>
</form>